Application: gvSIG desktop - gvSIG bugs #3043
Errors in execution of startup task 'Open project’
11/28/2014 04:25 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Application

Target version: 2.2.0-2308-rc1

Severity: Major Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2258 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

The project in attachment (saved for testing purpose) containing two temporary layers (one vector, one raster) and two permanent
vector layers is opened, but the view is disappeared.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3141: Error opening a pr... Closed 01/26/2015

History

#1 - 12/09/2014 03:31 PM - Joaquin del Cerro Murciano

Hola Antonio,

por lo que veo en el fichero test.gvsproj contiene tres capas vectoriales y una raster.
.Jtest.shp

.Jtest2.shp

../AppData/Local/Temp/tmp-andami/14171757081912.shp

C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14171756749211.tif

Las dos ultimas se encuentran en la carpeta temporal de gvSIG, con lo que al cerrar gvSIG y volverlo a arrancar estas capas son eliminadas, y

cuando se intenta cargar el proyecto ya no estan.

Imagino que son capas temporales generadas desde los geoprocesos, y de forma automatica, no deberian haberse incluido en el proyecto.

El error no estaria en la carga del proyecto si no en la generacion y guardado de este.

¢ Podrias indicar como lo generaste?

#2 - 12/09/2014 03:33 PM - Joaquin del Cerro Murciano

Otro problema seria averiguar por que falla la carga del proyecto cuando no encuentra una capa... deberia preguntar por su ubicacion y no fallar.
Vere de intentar averiguar que es lo que pasa.

#3 - 12/09/2014 05:27 PM - Antonio Falciano

Joaquin del Cerro Murciano wrote:
Hola Antonio,

../test.shp

./test2.shp

../AppData/Local/Temp/tmp-andami/14171757081912.shp
C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14171756749211.tif

Hi Joaquin,
you're right!

cuando se intenta cargar el proyecto ya no estan.

¢ Podrias indicar como lo generaste?

The vector temporary layers were generated by "Create random vector layer" alg, while the raster one by "Random DEM".

#4 - 03/10/2015 11:33 AM - Alvaro Anguix
- Related to gvSIG bugs #3141: Error opening a project in gvSIG 2.1 added

#5 - 04/29/2015 12:32 PM - Alvaro Anguix

- Target version set to 2.2.0-2308-rc1
- Status changed from New to Closed

It works in the last build (2307)

por lo que veo en el fichero test.gvsproj contiene tres capas vectoriales y una raster.

El error no estaria en la carga del proyecto si no en la generacion y guardado de este.

Las dos ultimas se encuentran en la carpeta temporal de gvSIG, con lo que al cerrar gvSIG y volverlo a arrancar estas capas son eliminadas, y

Imagino que son capas temporales generadas desde los geoprocesos, y de forma automatica, no deberian haberse incluido en el proyecto.

Files

test.gvsproj 21.1 KB 11/28/2014 Antonio Falciano

gvSIG.log 347 KB 11/28/2014 Antonio Falciano
